﻿using System.Windows;
using System.Windows.Controls;
using EafClient.Core;
using Infragistics.Controls.Editors;
using Infragistics.Windows.DataPresenter;

namespace SelectTemplateForExpandedChildRecord
{
	public class PartHeaderTemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item == null)
				return null;

			var context = item as string;
			var partsGrid = container.VisualUpwardSearch<XamDataGrid>();

			switch (context)
			{
				case "Part1":
					return (DataTemplate)partsGrid.TryFindResource("part1HeaderTemplate");
				case "Part2":
					return (DataTemplate)partsGrid.TryFindResource("part2HeaderTemplate");
				default:
					break;
			}

			return null;
		}
	}
}
